package EFS::Proc::Process;

use strict;
use warnings;
use English;

use Moose;

has q{pid}    => ( is  => q{ro}, isa => q{Int}, required => 1 );
has q{pctcpu} => ( is  => q{ro}, isa => q{Num}, required => 1 );
has q{pctmem} => ( is  => q{ro}, isa => q{Num}, required => 1 );
has q{size}   => ( is  => q{ro}, isa => q{Int}, required => 1 );
has q{rss}    => ( is  => q{ro}, isa => q{Int}, required => 1 );

no Moose;
__PACKAGE__->meta->make_immutable;
1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
