package EFS::Syslog;

use strict;
use warnings;
use English;

use Sys::Syslog qw(:standard :macros);

our $identity = q{efsd};

sub message {

    my $class = shift;
    my $level = shift;
    my @message = @_;

    openlog( $identity, q{ndelay,pid}, LOG_DAEMON );

    foreach my $message ( @message ) {
        chomp $message;
        syslog( $level, $message );
    }

    closelog();

    return 1;

}

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
