#! perl
use strict;
use warnings;

use Test::More;
use File::Spec;

my $rcfile;
BEGIN {
    $rcfile = File::Spec->catfile( qw< conf perlcritic.conf > );
}

use Test::Perl::Critic (
    -profile => $rcfile,
    -verbose => 8,
);

my @test_files = @ARGV ? @ARGV
    : qw( lib xt t test build-lib util etc Makefile.PL sql/initialize-data );

all_critic_ok( @test_files );

done_testing();
