package EFS;
use strict;
use warnings;

our $VERSION = q{2.999_104};
$VERSION = eval $VERSION;  ##  no critic: StringyEval

use English;

our $logroot = q{/var/efs/logs};

# EFS Core Libraries
use EFS::Syslog;
use EFS::Notification;
use EFS::Logfile;
use EFS::Util;
use EFS::ForkManager;
use EFS::Rsync;
use EFS::DirLock;
use EFS::Config;
use EFS::Config::Server;
use EFS::Config::Client;
use EFS::DBI;
use EFS::CLI;
use EFS::FileTree;
use EFS::RPC;
use EFS::DependencyTree;
use EFS::InstallAudit;
use EFS::Diststate;
use EFS::Request;
use EFS::Request::CLI;
use EFS::Request::RPC;
use EFS::ExecLinks;
use EFS::Username;
use EFS::Groupname;
use EFS::Package;
use EFS::Proc::ProcessTable;
use EFS::Proc::Pidfile;
use EFS::AFS;

1;

# Local Variables:
#   mode: cperl
#   cperl-indent-level: 4
#   fill-column: 78
# End:
# vim: expandtab shiftwidth=4:
